﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Calendar;

namespace RadCalendarSL__1065738
{
    public class DisplayModeToVisibility : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                var displayMode = (DisplayMode)value;
                switch (displayMode)
                {
                    case DisplayMode.CenturyView:
                    case DisplayMode.DecadeView:
                    case DisplayMode.YearView:
                        return Visibility.Collapsed;
                    case DisplayMode.MonthView:
                        return Visibility.Visible;
                }
            }

            return Visibility.Collapsed;
            
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
